import request from '@/utils/request'


export function createProfessional(data) {
  return request({
    url: '/consulting/professional/',
    method: 'post',
    data
  })
}

export function getProfessionalList(query) {
  return request({
    url: '/consulting/professional/',
    method: 'get',
    params: query
  })
}
export function deleteProfessional(id) {
  return request({
    url: `/consulting/professional/${id}/`,
    method: 'delete'
  })
}
export function updateProfessional(id, data) {
  return request({
    url: `/consulting/professional/${id}/`,
    method: 'put',
    data
  })
}